
use std::sync::mpsc;
use std::thread;

pub(crate) fn msg0() {
    let (tx, rx) = mpsc::channel();

    thread::spawn(move || {
        let val = String::from("hi");
        tx.send(val).unwrap();
        //println!("sent: {}", val);
    });

    let received = rx.recv().unwrap();
    println!("Got: {}", received);
}
