extern crate session_types;

use std::thread;
use session_types::*;

type Server = Recv<i64, Send<bool, Eps>>;
type Client = <Server as HasDual>::Dual;


pub(crate) fn srv(c: Chan<(), Server>) {
    let (c, n) = c.recv();
    if n % 2 == 0 {
        c.send(true).close()
    } else {
        c.send(false).close()
    }
}

pub(crate) fn cli(c: Chan<(), Client>) {
    let n = 42;
    let c = c.send(n);
    let (c, b) = c.recv();
    if b {
        println!("{} is even", n);
    } else {
        println!("{} is odd", n);
    }
    c.close();
}

